Name: libtasn1
Version: 4.10
Release: 5
License: GPL-3.0-or-later
Summary: ASN.1 parsing library
Url: https://www.gnu.org/software/libtasn1/

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool

Source0: https://ftp.gnu.org/pub/gnu/libtasn1/libtasn1-%{version}.tar.gz

%description
Libtasn1 is the ASN.1 library used by GnuTLS, GNU Shishi and some other
packages. It was written by Fabio Fiorina, and has been shipped as part of
GnuTLS for some time but is now a proper GNU package.

The goal of this implementation is to be highly portable, and only require an
ANSI C99 platform.

%package -n libtasn1-6
Summary: ASN.1 library
License: LGPLv2.1

%description -n libtasn1-6
Libtasn1 is the ASN.1 library used by GnuTLS, GNU Shishi and some other
packages. It was written by Fabio Fiorina, and has been shipped as part of
GnuTLS for some time but is now a proper GNU package.

The goal of this implementation is to be highly portable, and only require an
ANSI C99 platform.

%package devel
Summary: ASN.1 development headers
Requires: libtasn1-6 = %{version}-%{release}

%description devel
Libtasn1 is the ASN.1 library used by GnuTLS, GNU Shishi and some other
packages. It was written by Fabio Fiorina, and has been shipped as part of
GnuTLS for some time but is now a proper GNU package.

The goal of this implementation is to be highly portable, and only require an
ANSI C99 platform.


%prep
%setup -q

%build

autoreconf -fi

%configure \
  CFLAGS="$CFLAGS -D__PASE__ -D_ALL_SOURCE" \
  CPPFLAGS='-I%{_includedir}' \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L%{_libdir}" \
  --with-aix-soname=svr4 \
  --disable-static
  
%make_build

%install

%make_install

%files
%defattr(-, qsys, *none)

%{_bindir}/asn1Parser
%{_bindir}/asn1Coding
%{_bindir}/asn1Decoding

%{_mandir}/man1/*
%{_mandir}/man3/*


%files -n libtasn1-6
%defattr(-, qsys, *none)

%{_libdir}/libtasn1.so.6*


%files devel
%defattr(-, qsys, *none)

%{_libdir}/libtasn1.so
%{_libdir}/pkgconfig/libtasn1.pc

%{_includedir}/libtasn1.h

%{_infodir}/libtasn1.info*

%changelog
* Thu Nov 4 2021 Jason Hansen <stymie@us.ibm.com> - 4.10
- Intra-package Requires need version and release

* Wed Nov 18 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 4.10
- Use brp-rm-libtool-files

* Wed May 27 2020 Kevin Adler <kadler@us.ibm.com> - 4.10
- Use generic paths for man and info pages to allow for compression

* Mon Nov 04 2019 Kevin Adler <kadler@us.ibm.com> - 4.10
- Use SPDX license identifier

* Mon Mar 12 2018 - Kevin Adler <kadler@us.ibm.com>
- Add unshipped and missing files
- Remove charset.alias

* Sat Mar 03 2018 - Kevin Adler <kadler@us.ibm.com>
- use perl -pie instead of GNU sed -i
- Remove gcc wrappers
- Add BuildRequires
- various other fixes

* Tue Feb 20 2018 - Kevin Adler <kadler@us.ibm.com>
- Add missing BuildRequires

* Wed Dec 20 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove 64-bit GCC script workarounds for OBJECT_MODE

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- allow it to find libraries in _libdir
- add defattr macro

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Use auto dependency resolution instead of requiring pase-libs

* Tue Nov 07 2017 - Kevin Adler <kadler@us.ibm.com>
- Fix license
